Subject: Re: linux-next: build warning after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 2 Mar 2022 22:38:15 +1100

Hi Hans,

On Wed, 2 Mar 2022 11:32:37 +0100 Hans de Goede <[email-masked]> wrote:
>
> On 3/2/22 02:34, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Wed, 2 Feb 2022 09:38:37 +0100 Hans de Goede <[email-masked]> wrote:  
> >>
> >> On 2/2/22 05:03, Stephen Rothwell wrote:  
> >>>
> >>> On Wed, 2 Feb 2022 15:02:01 +1100 Stephen Rothwell <[email-masked]> wrote:    
> >>>>
> >>>> After merging the drm tree, today's linux-next build (htmldocs) produced
> >>>> this warning:
> >>>>
> >>>> drivers/gpu/drm/drm_privacy_screen.c:X: warning: Function parameter or member 'data' not described in 'drm_privacy_screen_register'    
> >>>
> >>> Actually:
> >>>
> >>> drivers/gpu/drm/drm_privacy_screen.c:392: warning: Function parameter or member 'data' not described in 'drm_privacy_screen_register'    
> >>
> >> Thank you for reporting this, I will prepare a patch fixing this.  
> > 
> > I am still seeing this warning.  
> 
> Weird, this should be fixed by:
> 
> https://cgit.freedesktop.org/drm-misc/commit/?id=ccbeca4ca04302d129602093c8d611065e3f7958
> 
> Which was added to the "drm-misc-next-2022-02-23" drm-misc tag/pull-req 7 days ago,
> which was merged into drm-next 6 days ago ?
> 
> I just reverted that did a make htmldocs and got the warning, then re-applied and
> the warning was gone...

As I said in my other reply, the drm tree has had build problems until
today and so it has been only partly included in linux-next.  I can
confirm that the warning is gone in today's tree.

-- 
Cheers,
Stephen Rothwell